#

Function HASH-TABLE-TEST

Syntax:

hash-table-test hash-table => test

Arguments and Values:

hash-table---a hash table.

test---a function designator. For the four standardized hash table test functions (see make-hash-table), the test value returned is always a symbol. If an implementation permits additional tests, it is implementation-dependent whether such tests are returned as function objects or function names.

Description:

Returns the test used for comparing keys in hash-table.

Examples: None.

Side Effects: None.

Affected By: None.

Exceptional Situations:

Should signal an error of type type-error if hash-table is not a hash table.

See Also:

make-hash-table

Notes: None.

The following X3J13 cleanup issue, not part of the specification, applies to this section:

- HASH-TABLE-ACCESS:X3J13-MAR-89

Copyright 1996-2001, Xanalys Inc. All rights reserved.